Bug 1418006 - Review Request: perl-Test-Abortable - Simple system for handling some exceptions in tests
Summary: Review Request: perl-Test-Abortable - Simple system for handling some excepti...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1417984
Blocks: 1413795
TreeView+ depends on / blocked
 
Reported: 2017-01-31 15:13 UTC by Jitka Plesnikova
Modified: 2017-02-15 20:53 UTC (History)
2 users (show)

Fixed In Version: perl-Test-Abortable-0.002-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 20:53:28 UTC
Type: ---
ppisar: fedora-review+


Attachments (Terms of Use)

Description Jitka Plesnikova 2017-01-31 15:13:02 UTC
Spec URL: https://jplesnik.fedorapeople.org/perl-Test-Abortable/perl-Test-Abortable.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-Test-Abortable/perl-Test-Abortable-0.002-1.fc26.src.rpm

Description:
Test::Abortable provides a simple system for catching some exceptions and
turning them into test events.

Fedora Account System Username: jplesnik@redhat.com

Comment 1 Petr Pisar 2017-02-06 12:37:12 UTC
URL and Source0 addresses are Ok.
Source archive (SHA-256: 9790b7f9b97698ea2c530436c6090c25119c6f5bd2f70d78afc49922c3f0276d) is original. Ok.
Summary is Ok.

TODO: I'd emphasize the module is about exceptions in tests like "Simple system for handling some exceptions in tests".

Description verified from lib/Test/Abortable.pm. Ok.
License verified from lib/Test/Abortable.pm, LICENSE, README. Ok.
No XS code, noarch BuildArch is Ok.
CPAN::Meta and CPAN::Meta::Prereqs are not helpful. Ok.
Build-time dependencies are Ok.
All tests pass. Ok.

$ rpmlint perl-Test-Abortable.spec ../SRPMS/perl-Test-Abortable-0.002-1.fc26.src.rpm ../RPMS/noarch/perl-Test-Abortable-0.002-1.fc26.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Test-Abortable-0.002-1.fc26.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Feb  6 13:29 /usr/share/doc/perl-Test-Abortable
-rw-r--r--    1 root    root                      268 Jan 16 19:01 /usr/share/doc/perl-Test-Abortable/Changes
-rw-r--r--    1 root    root                      398 Jan 16 19:01 /usr/share/doc/perl-Test-Abortable/README
drwxr-xr-x    2 root    root                        0 Feb  6 13:29 /usr/share/licenses/perl-Test-Abortable
-rw-r--r--    1 root    root                    18355 Jan 16 19:01 /usr/share/licenses/perl-Test-Abortable/LICENSE
-rw-r--r--    1 root    root                     3294 Feb  6 13:29 /usr/share/man/man3/Test::Abortable.3pm.gz
drwxr-xr-x    2 root    root                        0 Feb  6 13:29 /usr/share/perl5/vendor_perl/Test
-rw-r--r--    1 root    root                    11867 Jan 16 19:01 /usr/share/perl5/vendor_perl/Test/Abortable.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Test-Abortable-0.002-1.fc26.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.24.1)
      1 perl(strict)
      1 perl(Sub::Exporter)
      1 perl(Test2::API) >= 1.302075
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Test-Abortable-0.002-1.fc26.noarch.rpm | sort -f | uniq -c
      1 perl(Test::Abortable) = 0.002
      1 perl-Test-Abortable = 0.002-1.fc26
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Test-Abortable-0.002-1.fc26.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F26 (https://koji.fedoraproject.org/koji/taskinfo?taskID=17632057). Ok.

Package is in line with Fedora and Perl guidelines.

Please consider fixing the `TODO' item before building this package.
Resolution: Package APPROVED.

Comment 2 Gwyn Ciesla 2017-02-06 13:46:02 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Test-Abortable

Comment 3 Jitka Plesnikova 2017-02-06 14:09:53 UTC
Thank you for the review and the repository.

Comment 4 Fedora Update System 2017-02-06 14:35:06 UTC
perl-Test-Abortable-0.001-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b2bf98ce77

Comment 5 Fedora Update System 2017-02-07 02:49:30 UTC
perl-Test-Abortable-0.001-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b2bf98ce77

Comment 6 Fedora Update System 2017-02-15 20:53:28 UTC
perl-Test-Abortable-0.001-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.